#!/bin/sh

BASENAME="Tesseract"
FRAMEWORK_DIR="$PWD/$BASENAME.framework"

LIB="leptonica"
VERSION="1.71"
LIBBASE="$LIB-$VERSION"
LIBARCHIVE=${LIBBASE}.tar.gz
LIBSUFFIX="a"
LIBNAME="liblept.$LIBSUFFIX"
URL="http://www.leptonica.org/source/leptonica-1.71.tar.gz"

BUILD_DIR="$PWD/build/$LIB"
SRC_DIR="$PWD/$LIBBASE"
MAKE_DIR="$SRC_DIR"
INCLUDE_DIR="$SRC_DIR"
CONFIGURE_FLAGS=" --enable-shared=no --disable-programs --without-libpng --without-jpeg --without-giflib --without-libtiff"
LEPTONICA_INCDIR="$BUILD_DIR/include"
LEPTONICA_LIBDIR="$BUILD_DIR"
LEPTONICA_LIB="$BUILD_DIR/$LIBNAME"

. functions.sh

download_and_extract $LIBARCHIVE $SRC_DIR $URL
mkdir -p $BUILD_DIR/include
make_archs iphoneos arm-apple-darwin armv7 armv7s arm64 
make_archs iphonesimulator '' i386 x86_64
mkdir -p $LEPTONICA_INCDIR/$LIB
find $SRC_DIR/src -name '*.h' -exec cp {} $LEPTONICA_INCDIR/$LIB \;
make_universal $LEPTONICA_LIB armv7 armv7s arm64 i386 x86_64

LIB="tesseract-ocr"
VERSION="3.02.02"
LIBBASE="$LIB-$VERSION"
LIBARCHIVE=${LIBBASE}.tar.gz
LIBSUFFIX="a"
LIBNAME="libtesseract.$LIBSUFFIX"
URL="https://tesseract-ocr.googlecode.com/files/$LIBARCHIVE"

BUILD_DIR="$PWD/build/$LIB"
SRC_DIR="$PWD/$LIB"
MAKE_DIR="$SRC_DIR"
INCLUDE_DIR="$SRC_DIR"
FRAMEWORK_DIR="$PWD/$BASENAME.framework"
CONFIGURE_FLAGS="--enable-shared=no LIBLEPT_HEADERSDIR=$LEPTONICA_INCDIR"
export LDFLAGS="-L$LEPTONICA_LIBDIR -lz"

download_and_extract $LIBARCHIVE $SRC_DIR $URL
mkdir -p $BUILD_DIR/include
make_archs iphoneos arm-apple-darwin armv7 armv7s arm64 
make_archs iphonesimulator '' i386 x86_64

make_universal $BUILD_DIR/$LIBNAME armv7 armv7s arm64 i386 x86_64

make_bundle $BASENAME
find $SRC_DIR/API -name '*.h' -exec cp {} $FRAMEWORK_DIR/Headers/
find $LEPTONICA_INCDIR -name '*.h' -exec cp {} $FRAMEWORK_DIR/Headers/
libtool -static -o $FRAMEWORK_DIR/Versions/A/$BASENAME $BUILD_DIR/$LIBNAME $LEPTONICA_LIB
